> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all shield lists in enterprise

> Retrieves all shield lists in the enterprise.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml /box-openapi-v2025.0.json GET /shield_lists
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2025.0'
  x-box-commit-hash: 95117b97f9
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Archives
    description: A set of endpoints used to manage archives.
    x-box-tag: archives
  - name: Enterprise Configurations
    description: >-
      Enterprise configurations admins interact with to drive Box product
      behavior.
    x-box-tag: enterprise_configurations
  - name: Box Doc Gen
    description: Doc Gen is used to automatically generate documents.
    x-box-tag: docgen
  - name: Box Doc Gen templates
    description: Doc Gen templates are used as input to generate documents.
    x-box-tag: docgen_template
  - name: External Users
    description: External users are collaborators from outside of your enterprise.
    x-box-tag: external_users
  - name: Box Hubs
    description: A set of endpoints used to manage Box Hubs.
    x-box-tag: hubs
  - name: Box Hub Collaborations
    description: A set of endpoints used to manage collaborations within a Box Hub.
    x-box-tag: hub_collaborations
  - name: Box Hub Document
    description: >-
      A set of endpoints used to retrieve Box Hub Document elements (pages and
      content blocks).
    x-box-tag: hub_document
  - name: Box Hub Items
    description: A set of endpoints used to manage items within a Box Hub.
    x-box-tag: hub_items
  - name: Shield lists
    description: >-
      Shield List allow an administrator to create a list which will be shared
      between different Shield Smart Access and Threat Detection rules.
    x-box-tag: shield_lists
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /shield_lists:
    get:
      tags:
        - Shield lists
      summary: Get all shield lists in enterprise
      description: Retrieves all shield lists in the enterprise.
      operationId: get_shield_lists_v2025.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      responses:
        '200':
          description: Returns the list of shield list objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ShieldLists'
      x-codeSamples:
        - lang: dotnet
          label: Get all shield lists in enterprise
          source: await client.ShieldLists.GetShieldListsV2025R0Async();
        - lang: java
          label: Get all shield lists in enterprise
          source: client.getShieldLists().getShieldListsV2025R0()
        - lang: node
          label: Get all shield lists in enterprise
          source: await client.shieldLists.getShieldListsV2025R0();
        - lang: python
          label: Get all shield lists in enterprise
          source: client.shield_lists.get_shield_lists_v2025_r0()
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2025.0'
      example: '2025.0'
  schemas:
    ShieldLists:
      description: List of Shield List objects.
      type: object
      allOf:
        - properties:
            entries:
              description: A list of shield list objects.
              type: array
              items:
                $ref: '#/components/schemas/ShieldList--Mini'
      title: List of Shield Lists
      x-box-resource-id: shield_lists_v2025.0
      x-box-tag: shield_lists
    ShieldList--Mini:
      description: A mini representation of a Shield List.
      type: object
      properties:
        id:
          description: Unique global identifier for this list.
          type: string
          example: 12345678-1234-1234-1234-123456789012
        type:
          description: The type of object.
          type: string
          example: shield_list
          enum:
            - shield_list
        name:
          description: Name of Shield List.
          type: string
          example: My Shield List
        content:
          properties:
            type:
              description: The type of content in the shield list.
              type: string
              example: country_code
          type: object
      required:
        - id
        - type
        - name
        - content
      title: Shield List (Mini)
      x-box-resource-id: shield_list_v2025.0--mini
      x-box-tag: shield_lists
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````